Eclipse Platform Release 3.7

## org.eclipse.update.search
Class VersionedIdentifiersFilter

    java.lang.Object
      org.eclipse.update.search.BaseFilter
          org.eclipse.update.search.VersionedIdentifiersFilter

All Implemented Interfaces:
  IUpdateSearchFilter

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public class VersionedIdentifiersFilter

extends BaseFilter

This class can be added to the update search request to filter out features that are not part of the specified set.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0
See Also:
  `UpdateSearchRequest`, `IUpdateSearchFilter`

Constructor Summary
`VersionedIdentifiersFilter()` Deprecated.
`VersionedIdentifiersFilter(VersionedIdentifier[] vids)` Deprecated.

Method Summary
`boolean` `accept(IFeatureReference match)` Deprecated. Tests a feature reference according to this filter's criteria.
`void` `add(VersionedIdentifier vid)` Deprecated.

Methods inherited from class org.eclipse.update.search.BaseFilter
`accept`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionedIdentifiersFilter

    public VersionedIdentifiersFilter()

  Deprecated.

### VersionedIdentifiersFilter

    public VersionedIdentifiersFilter(VersionedIdentifier[] vids)

  Deprecated.

Method Detail

### add

    public void add(VersionedIdentifier vid)

  Deprecated.

### accept

    public boolean accept(IFeatureReference match)

  Deprecated.
  Description copied from interface: `IUpdateSearchFilter`
  Tests a feature reference according to this filter's criteria. This is a prefilter that allows rejecting a feature before a potentially lengthy download.

  Specified by:
    `accept` in interface `IUpdateSearchFilter`
  Overrides:
    `accept` in class `BaseFilter`
  Parameters:
    `match` - the feature reference to test
  Returns:
    `true` if the feature reference has been accepted, `false` otherwise.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.